package net.wanji.opt.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "CrossSchemeListBO", description = "路口方案列表入参")
public class CrossSchemeListBO {
    @ApiModelProperty(value = "路口编号", required = true)
    private String crossId;
    @ApiModelProperty(value = "方案编号/名称")
    private String schemeNoOrName;
    @ApiModelProperty(value = "策略编号 100030均衡调控 100152效率提升 100010安全保障")
    private String strategyCode;
    @ApiModelProperty(value = "星期：1周一，2周二，3周三，4周四，5周五，6周六，7周日，0特殊日期", required = true)
    private Integer weekDay;
}
