package net.wanji.opt.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
@Data
@ConfigurationProperties(prefix = "direction-mappings")
public class DirectionMappingsConfig {

    private Map<String, List<String>> mappings;

}