package net.wanji.opt.dao.mapper.strategy;

import net.wanji.opt.dto.strategy.QueryIdeaDTO;
import net.wanji.opt.po.strategy.IdeaPO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/27 9:33
 */
@Repository
public interface IdeaMapper {
    void insertOne(IdeaPO ideaPO);

    void deleteById(Integer id);

    void updateOne(IdeaPO ideaPO);

    void deleteByIds(List<Integer> ids);

    List<IdeaPO> selectByIdeaNameAndIdeaTarget(QueryIdeaDTO queryIdeaDTO);

    IdeaPO selectById(Integer ideaId);
}
