package net.wanji.opt.dao.mapper.strategy;

import net.wanji.opt.po.strategy.SceneStrategyIdeaPO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/27 9:33
 */
@Repository
public interface SceneStrategyIdeaMapper {

    void insertOne(SceneStrategyIdeaPO sceneStrategyIdeaPO);

    void deleteBySceneIds(List<Integer> ids);

    List<SceneStrategyIdeaPO> selectBySceneIdAndStrategyId(Integer sceneId, Integer strategyId);

    void deleteByIdeaIds(List<Integer> ids);

    void deleteByStrategyIds(List<Integer> ids);

    SceneStrategyIdeaPO selectIdBySceneNum(Integer sceneNum);

    List<String> selectAllNames();
}
