package net.wanji.opt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class AbnormalEventDTO {

    @ApiModelProperty(name = "路口状态",notes = "0正常 1 失衡  2 拥堵 3 溢出 4 死锁")
    private String status ;

    @ApiModelProperty(name = "开始时间戳",notes = "10位")
    private Integer startStamp ;

    @ApiModelProperty(name = "结束时间戳",notes = "10位")
    private Integer endStamp ;

}
