package net.wanji.opt.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hfx
 * @date 2023/1/12 09:11
 * @desc 路口基础信息
 */
@Data
@ApiModel(value = "CrossInfoDTO", description = "路口基础信息")
public class CrossInfoDTO {

    @ApiModelProperty(name = "路口ID",notes = "")
    private String id;

    @ApiModelProperty(name = "路口名称",notes = "")
    private String name;

    @ApiModelProperty(name = "路口类型",notes = "")
    private Integer type;

    @ApiModelProperty(name = "路口级别",notes = "")
    private Integer level;

    @ApiModelProperty(name = "行政区划代码",notes = "")
    private Integer areaCode;

    @ApiModelProperty(name = "路口位置",notes = "")
    private String location;

    @ApiModelProperty(name = "是否信控路口：1是；0否",notes = "")
    private Integer isSignal;

    @ApiModelProperty(name = "是否启动优化：1是；0否",notes = "")
    private Integer isStart;

    @ApiModelProperty(name = "是否下发方案：1是；0否",notes = "")
    private Integer isSend;

}
