package net.wanji.opt.dto;

import lombok.Data;
import net.wanji.databus.dao.entity.GreenwaveHistPO;

import java.util.ArrayList;
import java.util.List;

/**
 * 干线方案缓存
 * @author Kent HAN
 * @date 2022/12/20 10:17
 */
@Data
public class LineSchemeDTO {

    // 绿波历史列表
    private List<GreenwaveHistPO> greenwaveHistPOList = new ArrayList<>();

    // 时段ID
    private Integer sectionId;

    // 计划ID
    private Integer planId;

    // 绿波ID
    private Integer greenwaveId;

}
