package net.wanji.opt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class SaveLaneInfoDTO {
    @ApiModelProperty(value = "路口ID", required = true)
    private String crossId;
    @ApiModelProperty(value = "路口拥堵指数", required = true)
    private Double crossIndex;
    private List<LedConfigListElement> ledConfigList;
    private List<DirListElement> dirList;
}
