package net.wanji.opt.po.strategy;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hanbing
 * @date 2023/1/10 16:36
 */
@Data
public class SceneStrategyPO {
    /** ID */
    @ApiModelProperty(name = "ID",notes = "")
    private Integer id ;
    /** 场景ID */
    @ApiModelProperty(name = "场景ID",notes = "")
    private Integer sceneId ;
    /** 策略ID */
    @ApiModelProperty(name = "策略ID",notes = "")
    private Integer strategyId ;

    @ApiModelProperty(name = "优先级",notes = "")
    private Integer sceneStrategyPriority ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
