package net.wanji.opt.po.strategy;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hanbing
 * @date 2023/1/10 16:36
 */
@Data
public class StrategyPO {
    @ApiModelProperty(value = "策略ID",notes = "")
    private Integer id ;
    /** 编号 */
    @ApiModelProperty(value = "编号",notes = "")
    private String strategyCode ;
    /** 优化方法 */
    @ApiModelProperty(value = "策略名称",notes = "")
    private String strategyName ;
    /** 应用对象 1路口；2干线；3区域 */
    @ApiModelProperty(value = "应用对象 1路口；2干线；3区域",notes = "")
    private Integer strategyTarget;
    /** 优化详情 */
    @ApiModelProperty(value = "策略详情",notes = "")
    private String strategyDetail ;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",notes = "")
    private Date gmtModified ;
}
