package net.wanji.opt.service;

import net.wanji.opt.dto.CrossSchedulesDTO;

import java.util.List;
import java.util.Map;

/**
 * @author hfx
 * @date 2023/1/17 15:55
 * @desc 路口调度服务接口
 */
public interface CrossSchedulesService {

    /**
     * 获取路口调度详情信息列表
     * @param crossId 路口编号
     * @param status 调度状态：1执行；0未执行
     * @return
     */
    List<CrossSchedulesDTO> listCrossSchedulesDetails(String crossId, Integer status);



}
