package net.wanji.opt.service;

import net.wanji.opt.dto.CrossSchemeDTO;

import java.util.List;

/**
 * @author hfx
 * @date 2023/1/17 14:59
 * @desc CrossSchemeService
 */
public interface CrossSchemeService {

    /**
     * 获取方案基础信息
     * @param crossId
     * @return
     */
    List<CrossSchemeDTO> listCrossSchemeInfo(String crossId);

    /**
     * 获取方案详情信息
     * @param crossId
     * @return
     */
    List<CrossSchemeDTO> listCrossSchemeDetails(String crossId);

}
