package net.wanji.opt.service;

import net.wanji.opt.dto.LaneInfoDTO;
import net.wanji.opt.query.LaneQuery;

import java.util.List;

/**
 * @author hfx
 * @date 2023/1/13 19:09
 * @desc LaneInfoService
 */
public interface LaneInfoService {

    /**
     * 查询车道基础信息
     * @param query
     * @return
     */
    List<LaneInfoDTO> listLaneInfo(LaneQuery query);

    /**
     * 查询灯组车道信息
     * @param query
     * @return
     */
    List<LaneInfoDTO> listLightsLaneInfo(LaneQuery query);

}
