package net.wanji.opt.service;

import net.wanji.databus.bo.CrossIdAndStartEndDateBO;
import net.wanji.databus.bo.CrossIdBO;
import net.wanji.databus.bo.HeatMapBO;
import net.wanji.databus.vo.RunningEvaluateCrossListVO;
import net.wanji.opt.bo.CrossNameBO;
import net.wanji.opt.bo.MetricsDetailBO;
import net.wanji.opt.vo.*;

import java.util.List;

public interface RunningEvaluateService {
    List<RunningEvaluateCrossListVO> crossList(CrossNameBO crossNameBO);

    RunningEvaluateCrossEvaluateVO crossEvaluate(CrossIdAndStartEndDateBO bo);

    RunningEvaluateStatusVO congestionStatus(CrossIdAndStartEndDateBO bo);

    RunningEvaluateStatusVO unbalanceStatus(CrossIdAndStartEndDateBO bo);

    RunningEvaluateStatusVO spilloverStatus(CrossIdAndStartEndDateBO bo);

    List<RunningEvaluateSchemeProblemsVO> schemeProblems(CrossIdAndStartEndDateBO bo);

    RunningEvaluateMetricsDetailVO metricsDetail(MetricsDetailBO bo);

    RunningEvaluateScopeTreeVO scopeTree(CrossIdBO bo);

    List<RunningEvaluateHeatMapVO> heatMap(HeatMapBO bo);
}
