package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/3/2 11:33
 */
@Data
@NoArgsConstructor
@ApiModel(value = "CrossIdAndLocationVO")
public class CrossIdAndLocationVO {
    @ApiModelProperty(value = "路口ID")
    String id;
    @ApiModelProperty(value = "路口名称")
    String name;
    @ApiModelProperty(value = "路口坐标")
    List<Double> location;
    @ApiModelProperty(value = "路口状态：0正常；1失衡；2拥堵；3溢出")
    Integer realtimeStatus;
    @ApiModelProperty(name = "空间对象", notes = "空间对象")
    private String wkt;
}
