package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "DiagnoCrossVO", description = "诊断优化路口列表元素")
public class DiagnoCrossVO {
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId;
    @ApiModelProperty(value = "路口名称")
    String crossName;

    @ApiModelProperty(value = "当前场景 0正常 1失衡 2拥堵 3溢出")
    Integer scene;

    @ApiModelProperty(value = "优化策略")
    String strategy;

    @ApiModelProperty(value = "优化方法")
    String idea;
}
