package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "GreenWaveCrossMonitorVO", description = "子区信息-路口监测返回值")
public class GreenWaveCrossMonitorVO {
    @ApiModelProperty(value = "路口ID")
    private String crossId;
    @ApiModelProperty(value = "路口名称")
    private String crossName;
    @ApiModelProperty(value = "流量")
    private Integer flow;
    @ApiModelProperty(value = "通行能力")
    private Integer capacity;
    @ApiModelProperty(value = "拥堵指数")
    private Double congestionIndex;
}
