package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Kent HAN
 * @date 2023/2/8 13:47
 */
@NoArgsConstructor
@Data
@ApiModel(value = "GreenwaveStats", description = "问题子区统计信息")
public class GreenwaveStats {
    @ApiModelProperty(value = "畅通数量")
    private Integer smooth = 0;
    @ApiModelProperty(value = "缓行数量")
    private Integer slow = 0;
    @ApiModelProperty(value = "拥堵数量")
    private Integer congestion = 0;
}
