package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "RunningEvaluateHeatMapVO", description = "运行评价热力图")
public class RunningEvaluateHeatMapVO {
    @ApiModelProperty(value = "方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    private Integer dir;
    @ApiModelProperty(value = "发生次数")
    private Integer counts;
}
