package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
@ApiModel(value = "RunningEvaluateIndexStatusVO", description = "拥堵、失衡、溢出情况指标")
public class RunningEvaluateIndexStatusVO {

    @ApiModelProperty(value = "时间")
    private String time;

    @ApiModelProperty(value = "纵坐标数值")
    private Double index = 0.0;

}
