package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "SceneEvaluateHeatMapVO", description = "场景评价热力图")
public class SceneEvaluateHeatMapVO {
    @ApiModelProperty(value = "方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    private Integer dir;

    @ApiModelProperty(value = "等级，只有拥堵显示 0畅通 1轻度 2中度 3严重")
    private Integer level ;

    @ApiModelProperty(value = "是否失衡或溢出，只有失衡或溢出显示 0否 1是")
    private Integer isUnbalanceOrSpillOver ;

    @ApiModelProperty(value = "路口状态 0正常 1 失衡  2 拥堵 3 溢出")
    private Integer status;
}
