package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "SchemeEvaluateCrossSchemeListVO", description = "路口方案列表")
public class SchemeEvaluateCrossSchemeListVO {
    @ApiModelProperty(value = "方案名称")
    private String schemeName;

    @ApiModelProperty(value = "方案ID")
    private Integer schemeId;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "时段ID")
    private Integer sectionId ;

    @ApiModelProperty(value = "方案编号")
    private String schemeNo;

    @ApiModelProperty(value = "周期")
    private Integer cycle;

    @ApiModelProperty(value = "备注")
    private String note;
}
