package net.wanji.opt.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "BottomMenuBO", description = "底部曲线图范围下拉列表")
public class BottomMenuBO {
    @ApiModelProperty(value = "路口ID")
    private String crossId;

    @ApiModelProperty(value = "范围 1进口道 2方向 3车道")
    private Integer scope;
}
