package net.wanji.opt.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "SaveGreenwaveStrategyBO", description = "保存子区策略输入参数")
public class SaveGreenwaveStrategyBO {
    @ApiModelProperty(value = "绿波ID")
    private Integer greenwaveId;
    @ApiModelProperty(value = "策略名称")
    private List<String> strategyNames;
}
