package net.wanji.opt.dao.mapper.strategy;

import net.wanji.opt.po.strategy.SceneStrategyPO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/2/27 9:33
 */
@Repository
public interface SceneStrategyMapper {

    void insertOne(SceneStrategyPO sceneStrategyPO);

    void deleteBySceneIds(List<Integer> ids);

    List<SceneStrategyPO> selectBySceneId(Integer sceneId);

    void deleteByStrategyIds(List<Integer> ids);

    List<Integer> selectSceneIdsByStrategyId(Integer strategyId);

    List<SceneStrategyPO> selectAll();
}
