package net.wanji.opt.dto;

import lombok.Data;

import java.util.List;


@Data
public class CrossEventDTO {

    private Integer dir;

    private String rid;
    //该路段的结束路口
    private String crossId;

    private Double index;

    private String indexName;

    // 501畅通 502轻微拥堵 503中度拥堵 504重度拥堵
    private String congestionCode;

    private String timestamp;

    private Long globalTimeStamp;

    private Long startTime;

    private Long endTime;

    private Integer duration;

    // 事件序列号
    private String eventSerialNumber;

    // 检测时间
    private Long detectTime;

    private List<CrossEventDTO> details;

    private String msgType;

    // 失衡方向
    private Integer unbalanceDir;

    // 路灯结束时排队长度
    private Double greenEndQueueLength;

    // 非协调方向饱和度
    private Double noCoordSaturation;

    // 协调方向行程时间
    private Double transitTime;

    // 协调方向自由流时间
    private Double freeTime;

}
