package net.wanji.opt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class LaneListElement {
    @ApiModelProperty(value = "车道ID（路口ID_方向_车道类型_序号）", required = true)
    private String id;
    @ApiModelProperty(value = "车道转向：0未知；1左转；2直行；3右转；4掉头；5直左；6直右；7左直右；8左右；9左转掉头；10直行掉头；11右转掉头；12左直掉头；13直右掉头；14左直右掉头；15左右掉头", required = true)
    private Integer direction;
    @ApiModelProperty(value = "车道代码", required = true)
    private String name;
    @ApiModelProperty(value = "1机动车；2非机动车；3公交专用；4可变；5潮汐", required = true)
    private Integer laneType;
    @ApiModelProperty(value = "灯组代码", required = true)
    private String ledNum;
}