package net.wanji.opt.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class LedConfigListElement {
    @ApiModelProperty(value = "灯组ID", required = true)
    private Integer id;
    @ApiModelProperty(value = "灯组代码", required = true)
    private String code;
    @ApiModelProperty(value = "灯组类型 1机动车；2非机动车；3公交专用；4行人", required = true)
    private Integer type;
    @ApiModelProperty(value = "信号灯类型： 1：圆饼灯,2: 非机动车灯,3: 左转灯,4: 直行灯,5: 右转灯,6: 掉头灯,7: 公交专用灯,8: 行人灯", required = true)
    private Integer signalType;
    @ApiModelProperty(value = "灯组位置：1北；2东北；3东；4东南；5南；6西南；7西；8西北；11北一次过街；121北出口二次过街；122北进口二次过街", required = true)
    private String address;
    @ApiModelProperty(value = "灯组序号", required = true)
    private Integer order;
}