package net.wanji.opt.po.strategy;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hanbing
 * @date 2023/1/10 16:36
 */
@Data
public class ScenePO {
    @ApiModelProperty(value = "场景ID",notes = "")
    private Integer id ;
    @ApiModelProperty(value = "编号",notes = "")
    private String sceneCode ;
    @ApiModelProperty(value = "场景代码 0正常 1失衡 2拥堵 3溢出 4死锁 5单向绿波 6双向绿波 7单向红波 8双向红波",notes = "")
    private Integer sceneNum ;
    @ApiModelProperty(value = "场景名称",notes = "")
    private String sceneName ;
    /** 应用对象 1路口；2干线；3区域 */
    @ApiModelProperty(value = "应用对象 1路口；2干线；3区域",notes = "")
    private Integer sceneTarget;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",notes = "")
    private Date gmtModified ;
}
