package net.wanji.opt.service;

import net.wanji.opt.dto.CrossSchedulesDTO;
import net.wanji.opt.dto.CrossSectionDTO;

import java.util.List;

/**
 * @author hfx
 * @date 2023/1/17 17:48
 * @desc 路口时段服务接口
 */
public interface CrossSectionService {

    /**
     * 获取路口时段信息列表
     * @param crossId
     * @param planId
     * @return
     */
    List<CrossSectionDTO> listCrossSectionInfo(String crossId, String planId);

}
