package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author duanruiming
 * @date 2024/05/08 10:13
 */
@Data
@NoArgsConstructor
@ApiModel(value = "crossStatusTimeRateVO")
public class CrossStatusTimeRateVO {
    @ApiModelProperty(value = "路口ID")
    private String crossId;
    @ApiModelProperty(value = "溢出时长比例")
    private int spilloverTimeRate;
    @ApiModelProperty(value = "拥堵时长比例")
    private int congestionTimeRate;
    @ApiModelProperty(value = "失衡时长比例")
    private int unbalanceTimeRate;
    @ApiModelProperty(value = "相位空放时长比例")
    private int phaseEmptyTimeRate;
    @ApiModelProperty(value = "畅通时长比例")
    private int unblockedTimeRate;
}
