package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
@ApiModel(value = "GreenwaveCrossMetricsVO", description = "子区路口指标返回值")
public class GreenwaveCrossMetricsVO {
    @ApiModelProperty(value = "路口ID")
    private String crossId;
    @ApiModelProperty(value = "路口名称")
    private String crossName;
    @ApiModelProperty(value = "协调相位不停车通过率（%）")
    private Integer noparkPassRate;
    @ApiModelProperty(value = "非协调相位二次排队")
    private Integer uncoordinatePhaseQueue;
    @ApiModelProperty(value = "路段行程时间")
    private Integer trvalTime;
}
