package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "RunningEvaluateCrossEvaluateVO", description = "运行评价-路口评价")
public class RunningEvaluateCrossEvaluateVO {

    @ApiModelProperty(value = "服务水平")
    String serviceLevel;

    @ApiModelProperty(value = "拥堵次数")
    Integer congestionTimes;
    @ApiModelProperty(value = "拥堵时长")
    Integer congestionSum;

    @ApiModelProperty(value = "失衡次数")
    Integer unbalanceTimes;
    @ApiModelProperty(value = "失衡时长")
    Integer unbalanceSum;

    @ApiModelProperty(value = "溢出次数")
    Integer spilloverTimes;
    @ApiModelProperty(value = "溢出时长")
    Integer spilloverSum;

    @ApiModelProperty(value = "空放次数")
    Integer emptyPhaseTimes;
    @ApiModelProperty(value = "空放时长")
    Integer emptyPhaseSum;

    @ApiModelProperty(value = "方案问题")
    Integer schemeProblems;
}
