package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
@ApiModel(value = "RunningEvaluateStatusVO", description = "查询拥堵、失衡、溢出情况返回值")
public class RunningEvaluateStatusVO {

    @ApiModelProperty(value = "指标列表")
    List<RunningEvaluateIndexStatusVO> runningEvaluateIndexStatusVOList;

    @ApiModelProperty(value = "状态列表")
    private List<RunningEvaluateMetricsDetailVO.ProblemStatus> problemStatusList;

    @ApiModelProperty(value = "时间列表")
    private List<String> timeList;
}
