package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "SchemeEvaluateCurveChartVO", description = "详细指标查询")
public class SceneMetricsDetailVO {
    @ApiModelProperty(value = "指标名称")
    private String metricName;

    @ApiModelProperty(value = "时间")
    private String metricTime;

    @ApiModelProperty(value = "指标数值")
    private Integer metricValue;
}
