package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/06/06 9:49
 */
@Data
@NoArgsConstructor
@ApiModel(value = "Top5IndexVO", description = "前五交通指标实体")
public class Top5IndexVO {
    @ApiModelProperty(value = "路口编号")
    private String crossId;
    @ApiModelProperty(value = "交通指标")
    private List<RunningEvaluateMetricsDetailVO.CrossMetrics> metricsList;
}
